
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class listdata implements IRemote{
	public static listdata mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public listdata() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("listdata"), "shub.dpm.listdata");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, listdata.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _jobname = RemoteObject.createImmutable("");
public static RemoteObject _sv = RemoteObject.declareNull("anywheresoftware.b4a.objects.ScrollViewWrapper");
public static RemoteObject _btnclose = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _header = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _table = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _numberofcolumns = RemoteObject.createImmutable(0);
public static RemoteObject _rowheight = RemoteObject.createImmutable(0);
public static RemoteObject _columnwidth = RemoteObject.createImmutable(0);
public static RemoteObject _headercolor = RemoteObject.createImmutable(0);
public static RemoteObject _tablecolor = RemoteObject.createImmutable(0);
public static RemoteObject _fontcolor = RemoteObject.createImmutable(0);
public static RemoteObject _headerfontcolor = RemoteObject.createImmutable(0);
public static RemoteObject _fontsize = RemoteObject.createImmutable(0f);
public static RemoteObject _alignment = RemoteObject.createImmutable(0);
public static RemoteObject _selectedrow = RemoteObject.createImmutable(0);
public static RemoteObject _selectedrowcolor = RemoteObject.createImmutable(0);
public static RemoteObject _list1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static shub.dpm.main _main = null;
public static shub.dpm.parameter _parameter = null;
public static shub.dpm.about _about = null;
public static shub.dpm.barcodescanner _barcodescanner = null;
public static shub.dpm.allgfnkt _allgfnkt = null;
public static shub.dpm.listpat _listpat = null;
public static shub.dpm.endecodetester _endecodetester = null;
public static shub.dpm.jobservice _jobservice = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.b4xpages _b4xpages = null;
public static shub.dpm.b4xcollections _b4xcollections = null;
public static shub.dpm.httputils2service _httputils2service = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"Activity",listdata.mostCurrent._activity,"Alignment",listdata._alignment,"AllgFnkt",Debug.moduleToString(shub.dpm.allgfnkt.class),"B4XCollections",Debug.moduleToString(shub.dpm.b4xcollections.class),"B4XPages",Debug.moduleToString(shub.dpm.b4xpages.class),"BarcodeScanner",Debug.moduleToString(shub.dpm.barcodescanner.class),"BtnClose",listdata.mostCurrent._btnclose,"ColumnWidth",listdata._columnwidth,"EnDecodeTester",Debug.moduleToString(shub.dpm.endecodetester.class),"FontColor",listdata._fontcolor,"FontSize",listdata._fontsize,"Header",listdata.mostCurrent._header,"HeaderColor",listdata._headercolor,"HeaderFontColor",listdata._headerfontcolor,"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"jobname",listdata.mostCurrent._jobname,"JobService",Debug.moduleToString(shub.dpm.jobservice.class),"list1",listdata.mostCurrent._list1,"ListPat",Debug.moduleToString(shub.dpm.listpat.class),"Main",Debug.moduleToString(shub.dpm.main.class),"NumberOfColumns",listdata._numberofcolumns,"Parameter",Debug.moduleToString(shub.dpm.parameter.class),"RowHeight",listdata._rowheight,"SelectedRow",listdata._selectedrow,"SelectedRowColor",listdata._selectedrowcolor,"Starter",Debug.moduleToString(shub.dpm.starter.class),"SV",listdata.mostCurrent._sv,"Table",listdata.mostCurrent._table,"TableColor",listdata._tablecolor};
}
}